<?php

require_once("../../configuracion.php");


$act = isset($_POST['act']) ? $_POST['act'] : NULL;
$id_orden = isset($_POST['id_orden']) ? $_POST['id_orden'] : NULL;
$tabla = isset($_POST['tabla']) ? $_POST['tabla'] : NULL;

//=====================================//


$retorno = false;

if ($act=='bajar') {
	$id_actual = $db->getVarOrden($tabla,'id',"id='{$id_orden}'");
	$orden_actual = $db->getVarOrden($tabla,'orden',"id='{$id_orden}'");
	
	$id_anterior = $db->getVarOrden($tabla,'id',"orden<'{$orden_actual}'",'orden DESC','1');
	$orden_anterior = $db->getVarOrden($tabla,'orden',"orden<'{$orden_actual}'",'orden DESC','1');

		$datos_anterior = array(
			'orden'		=> @$orden_actual+0
		);		
		$db->update($tabla,$datos_anterior,"id='$id_anterior'");
		
		$datos_actual = array(
			'orden'		=> @$orden_anterior+0
		);		
		$db->update($tabla,$datos_actual,"id='$id_actual'");
    
        $retorno = true;
    
	}

if ($act=='subir') {
	$id_actual = $db->getVarOrden($tabla,'id',"id='{$id_orden}'");
	$orden_actual = $db->getVarOrden($tabla,'orden',"id='{$id_orden}'");
	
	$id_siguiente = $db->getVarOrden($tabla,'id',"orden>'{$orden_actual}'",'orden ASC','1');
	$orden_siguiente = $db->getVarOrden($tabla,'orden',"orden>'{$orden_actual}'",'orden ASC','1');

		$datos_siguiente = array(
			'orden'		=> @$orden_actual+0
		);		
		$db->update($tabla,$datos_siguiente,"id='$id_siguiente'");
		
		$datos_actual = array(
			'orden'		=> @$orden_siguiente+0
		);		
		$db->update($tabla,$datos_actual,"id='$id_actual'");
    
        $retorno = true;
	}

//=====================================//

echo json_encode($retorno);


?>